Bug 112283 - It would be nice to have a mouse click test dialog
It would be nice to have a mouse click test dialog
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 20:46 EST by seth arnold
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 12:37:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description seth arnold 2003-12-16 20:46:26 EST
One of the first steps the graphical anaconda installer asks the user
to select is the mouse protocol, type, and number of buttons.

There is no way to test if the default (or any of the selected
choices) actually supports the third mouse button; I'd appreciate a
little applet on this page that shows when each mouse button is
depressed and released.

Thanks
Comment 1 Jeremy Katz 2003-12-16 20:58:36 EST
I wrote some code to do this once... the question is just integrating
it into the UI nicely (well, and finding the code, but it took me like
10 minutes to write, so ... :-)

The other problem is that we don't instantly change the mouse protocol
and in some cases *can't* change it without completely screwing up the
X server :/
Comment 2 seth arnold 2003-12-16 21:02:26 EST
Oh. A tool that works -once- but not on the other choices is probably
negative value to include.. and somehow I expect "We'll restart X,
check back in ten seconds" is really too much to ask.

Thanks for the explanation Jeremy. :)
Comment 3 Jeremy Katz 2004-02-12 12:37:50 EST
With X getting unhappy on mouse protocol changes and 2.6 making
differences in mouse protocols somewhat superfluous, not going to do this.

Note You need to log in before you can comment on or make changes to this bug.